BlitzReels
BlitzReelsDocumentation
API Reference
GET
/projects/{projectId}/reframes/{reframeId}

Get one editable Reframe composition and its source views.

Authorization

ApiKeyAuth
Authorization<token>

Use Bearer br_live_....

In: header

Path Parameters

projectId*string
reframeId*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/projects/string/reframes/string"
{  "reframe_id": "string",  "project_id": "string",  "timeline_item_id": "string",  "plan_id": "string",  "plan_revision": "string",  "requested_layout_strategy": "string",  "content_type_hint": "string",  "source_count": 0,  "segment_count": 0,  "created_at": "string",  "updated_at": "string",  "views": [    {      "timeline_item_id": "string",      "source_asset_id": "string",      "source_name": "string",      "start_units": "string",      "duration_units": "string",      "source_start_units": "string",      "source_end_units": "string",      "source_crop": {        "x": 0,        "y": 0,        "width": 0,        "height": 0      },      "canvas_rect": {        "x": 0,        "y": 0,        "width": 0,        "height": 0      },      "planner_mode": "manual",      "sync_group_id": "string",      "ignored": true,      "volume": 0    }  ]}